org.apache.hc.core5.http

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.core5.http.ProtocolException
        - - org.apache.hc.core5.http.ParseException

- All Implemented Interfaces:
    Serializable

      public class ParseException
      extends ProtocolException

  Signals a protocol exception due to failure to parse a message element.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseException()` Constructs a new `ParseException` without details.
    `ParseException(String message)` Constructs a new `ParseException` with a detail message.
    `ParseException(String description, CharSequence text, int off, int len)` Constructs a new `ParseException` with parsing context details.
    `ParseException(String description, CharSequence text, int off, int len, int errorOffset)` Constructs a new `ParseException` with parsing context details.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorOffset()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseException

          public ParseException()

      Constructs a new `ParseException` without details.

    - #### ParseException

          public ParseException(String message)

      Constructs a new `ParseException` with a detail message.
      Parameters:
        `message` - the exception detail message, or `null`

    - #### ParseException

          public ParseException(String description,
                                CharSequence text,
                                int off,
                                int len,
                                int errorOffset)

      Constructs a new `ParseException` with parsing context details.
      Since:
        5.0

    - #### ParseException

          public ParseException(String description,
                                CharSequence text,
                                int off,
                                int len)

      Constructs a new `ParseException` with parsing context details.
      Since:
        5.0

  - ### Method Detail

    - #### getErrorOffset

          public int getErrorOffset()

      Since:
        5.0

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.